APT-GET(8)

NAZWA
apt-get - Narzędzie zarządzania pakietami APT -- interfejs linii poleceń

STRESZCZENIE

apt-get [-asqdyfmubV] [-o=opcja_konfiguracji] [-c=plik_konfiguracyjny] [-t=wydanie_docelowe] [-a=architektura] {update | upgrade | dselect-upgrade | dist-upgrade | install pakiet [{=nr_wersji_pakietu | /wydanie_docelowe}]... | remove pakiet... | purge pakiet... | source pakiet [{=nr_wersji_pakietu | /wydanie_docelowe}]... | build-dep pakiet [{=nr_wersji_pakietu | /wydanie_docelowe}]... | download pakiet [{=nr_wersji_pakietu | /wydanie_docelowe}]... | check | clean | autoclean | autoremove | {-v | --version} | {-h | --help}}

OPIS

apt-get jest narzędziem do zarządzania pakietami działającym z linii poleceń, które może być uznane za wewnętrzne narzędzie innych programów używających biblioteki APT. Istnieje wiele interfejsów użytkownika, takich jak dselect(1), aptitude(8), synaptic(8) oraz wajig(1).

Jedno z poniższych poleceń musi być użyte, chyba że została podana opcja -h albo --help.

update
    update jest używane do zsynchronizowania zawartości plików indeksu pakietów z ich źródłami. Lista dostępnych pakietów jest pobierana z lokalizacji określonych w pliku /etc/apt/sources.list. Na przykład, gdy używane jest archiwum Debiana, to polecenie pobiera i przegląda pliki Packages.gz, tak żeby udostępnić informacje o nowych i uaktualnionych pakietach. Polecenie update powinno być użyte zawsze przed upgrade lub dist-upgrade. Należy zauważyć, że licznik całkowitego postępu operacji jest błędny, ponieważ rozmiar plików Packages.gz nie jest wcześniej znany.

upgrade
    upgrade instaluje najnowsze wersje wszystkich pakietów, obecnie zainstalowanych w systemie, na podstawie źródeł wymienionych w pliku /etc/apt/sources.list. Zainstalowane pakiety, których nowsza wersja jest dostępna, są ściągane i uaktualniane; w żadnym wypadku podanie tej opcji nie spowoduje usunięcia zainstalowanego pakietu czy zainstalowania nowego pakietu, wcześniej nie zainstalowanego. Pakiety, których nowa wersja wymaga zmiany statusu (np. zainstalowania bądź usunięcia) innego pakietu, będą pozostawione bez zmian. Aby apt-get wiedział, że są dostępne nowe wersje pakietów, należy wcześniej wykonać update.

dist-upgrade
    dist-upgrade wykonuje to samo, co upgrade, jednakże w inteligentny sposób wykrywa zmiany zależności w nowych wersjach pakietów. apt-get ma wbudowany "sprytny" system rozwiązywania konfliktów i jeśli będzie to potrzebne, podejmie próbę zaktualizowania najważniejszych pakietów, kosztem tych mniej ważnych. Tak więc dist-upgrade może usunąć niektóre pakiety.Plik /etc/apt/sources.list zawiera listę adresów, z których będą pobierane żądane pakiety. Zobacz również do apt_preferences(5) - znajduje się tam opis mechanizmu nadpisywania globalnych ustawień dla poszczególnych pakietów.

dselect-upgrade
    dselect-upgrade jest używane w połączeniu z programem dselect(1), tradycyjnym narzędziem do zarządzania pakietami w systemie Debian. dselect-upgrade uwzględnia zmiany zrobione programem dselect(1) w polu Status pliku zawierającego informacje o dostępnych pakietach i wykonuje akcje potrzebne do zrealizowania tych zmian (na przykład: usunięcie starych pakietów i dodanie nowych).

install
    Po install musi występować nazwa jednego lub więcej pakietów przeznaczonych do zainstalowania. Każdy argument jest nazwą pakietu, a nie pełną nazwą pliku, w którym się znajduje (na przykład w systemie Debian, tym argumentem byłoby apt-utils, a nie apt-utils_0.9.7.7ubuntu4_amd64.deb). Wszystkie pakiety, które są potrzebne do zainstalowania żądanego pakietu (lub żądanych pakietów), będą także ściągnięte i zainstalowane. Plik /etc/apt/sources.list zawiera listę adresów, z których będą pobierane żądane pakiety. Jeżeli po nazwie pakietu pojawi się minus (bez spacji pomiędzy minusem a nazwą pakietu), to ten pakiet zostanie usunięty, o ile oczywiście jest zainstalowany. Podobnie znak plusa może być użyty w celu zainstalowania pakietu. Ta ostatnia właściwość może być użyta do nadpisania decyzji podjętych przez system rozwiązywania konfliktów programu apt-get.

    Konkretna wersja pakietu może być wybrana do zainstalowania przez umieszczenie po nazwie pakietu znaku równości, a za nim wybranej wersji pakietu. Podana wersja zostanie wyszukana i wybrana do zainstalowania. Również konkretna dystrybucja może być wybrana przez umieszczenie po nazwie pakietu znaku ukośnika, po którym następuje wersja dystrybucji bądź nazwa archiwum (stable, testing, unstable).

    Oba mechanizmy wyboru pakietów mogą zainstalować wcześniejsze wersje pakietów niż są już zainstalowane w systemie, dlatego muszą być używane ostrożnie.

    Jest to także akcja, której należy użyć, aby zaktualizować jeden lub więcej spośród pakietów już zainstalowanych, bez aktualizowania wszystkich pozostałych pakietów. W przeciwieństwie do polecenia "upgrade", które instaluje najnowsze wersje wszystkich obecnie zainstalowanych pakietów, "install" zainstaluje najnowsze wersje pakietu (pakietów) podanego (podanych) w linii poleceń. Wystarczy podać nazwę pakietu (pakietów) do zaktualizowania i jeśli nowsze wersje są dostępna, to zostaną pobrane i zainstalowane (łączne z zależnościami, tak jak to opisano powyżej).

    W końcu, mechanizm apt_preferences(5) pozwala określić alternatywny sposób instalacji poszczególnych pakietów.

    Jeżeli żaden pakiet nie pasuje do podanego wyrażenia, a to wyrażenie zawiera jeden z następujących znaków: ".", "?" albo "*", to zakłada się, że jest to wyrażenie regularne zgodne z POSIX-em i jest ono stosowane do wszystkich nazw pakietów w bazie. Pakiety, których nazwy pasują do tego wyrażenia regularnego, są instalowane (bądź usuwane). Należy zwrócić uwagę na to, że dopasowywany jest podciąg, tak więc "lo*" pasuje zarówno do "how-lo", jak i do "lowest". Jeśli jest to niepożądane, można określić początek lub koniec dopasowania wyrażenia regularnego, używając znaków "^| lub "$", można też stworzyć bardziej specyficzne wyrażenie regularne.

remove
    remove odpowiada poleceniu install z tą różnicą, że pakiety są usuwane, a nie instalowane. Jeżeli nazwa pakietu zostanie poprzedzona znakiem plusa (bez rozdzielającej spacji), wskazany pakiet zostanie zainstalowany zamiast zostać usunięty.

purge
    purge działa tak, jak remove, z tą różnicą, że pakiety są po usunięciu czyszczone (czyli usuwane są również wszystkie pliki konfiguracyjne).

source
    source powoduje, że apt-get ściąga pakiety ze źródłami. APT na podstawie listy dostępnych pakietów decyduje, który pakiet źródłowy ściągnąć. Następnie szuka najnowszej dostępnej wersji pakietu źródłowego i pobiera ją do bieżącego katalogu. Jeśli jest to możliwe, to APT bierze pod uwagę domyślne wydanie, ustawione w APT::Default-Release w pliku konfiguracyjnym albo określone w opcji -t, albo podane przy użyciu składni pakiet/wydanie.

    Pakiety źródłowe są znajdowane inaczej niż pakiety binarne: przez linie deb-src w pliku sources.list(5). Oznacza to, że w pliku tym należy umieścić taką linię dla każdego repozytorium, z którego będą pobierane źródła. W przeciwnym wypadku albo może zostać pobrana niepoprawna (zbyt stara lub zbyt nowa) wersja pakietu źródłowego, albo może nie być możliwe pobranie jakiejkolwiek wersji pakietu.

    Jeżeli podano opcję --compile, to pakiet źródłowy zostanie skompilowany do pakietu binarnego .deb za pomocą programu dpkg-buildpackage dla architektury podanej w opcji --host-architecture. Podanie opcji --download-only spowoduje natomiast, że pakiet źródłowy nie zostanie rozpakowany.

    Konkretną wersję pakietu źródłowego można ściągnąć, umieszczając po nazwie pakietu źródłowego znak równości, a za nim numer wersji do ściągnięcia. Działa tu taki sam mechanizm jak w przypadku pakietów binarnych. Włączone zostaje dokładne dopasowywanie nazw i wersji pakietów źródłowych i pośrednio włączona zostaje opcja APT::Get::Only-Source

    Proszę zauważyć, że w odróżnieniu od pakietów binarnych, pakiety źródłowe nie są instalowane i zapamiętywane w bazie danych dpkg, ale są po prostu pobierane do bieżącego katalogu jako archiwa programu tar.

build-dep
    build-dep powoduje, że apt-get zainstaluje/usunie pakiety tak, żeby spełnić zależności wymagane do zbudowania danego pakietu źródłowego.

check
    check jest poleceniem diagnostycznym, które odświeża bufor (cache) pakietów i szuka zepsutych pakietów.

download
    download pobierze podane pakiety binarne do bieżącego katalogu.

clean
    clean czyści lokalne repozytorium ściągniętych plików z pakietami. Usuwa wszystko z wyjątkiem pliku blokady /var/cache/apt/archives/ oraz katalogu /var/cache/apt/archives/partial/. Gdy APT jest używane jako metoda programu dselect(1), clean jest uruchamiane automatycznie. Osoby nie używające dselect, powinny od czasu do czasu uruchamiać apt-get clean, aby zwolnić trochę miejsca na dysku.

autoclean
    Podobnie jak clean, autoclean czyści lokalne repozytorium pobranych plików z pakietami. Różnica jest taka, że autoclean usuwa tylko te pliki pakietów, które już nie mogą być ściągnięte i w większości są bezużyteczne. Pozwala to na utrzymywanie bufora (cache'a) przed długi czas i na uniknięcie niekontrolowanego jego wzrostu. Wyłączenie opcji konfiguracyjnej APT::Clean-Installed zapobiegnie usuwaniu plików zawierających zainstalowane pakiety.

autoremove
    autoremove jest używane do usuwania pakietów, które zostały zainstalowane automatycznie, żeby rozwiązać zależności w innych pakietach, i nie są już potrzebne.

changelog
    changelog pobiera dziennik zmian pakietu i wyświetla go, używając polecenia sensible-pager. Nazwa serwera i katalog bazowy jest definiowany w zmiennej APT::Changelogs::Server (np. packages.debian.org/changelogs[1] dla Debiana lub changelogs.ubuntu.com/changelogs[2] dla Ubuntu). Domyślnie wyświetlany jest dziennik zmian wersji, która już jest zainstalowana. Jednakże można to zmienić, używając takich samych opcji, jak te dla polecenia install.

OPCJE

Wszystkie opcje linii poleceń mogą być ustawione w pliku konfiguracyjnym. Poniższe opisy wskazują, którą opcję w pliku konfiguracyjnym należy ustawić. W przypadku opcji logicznych, można unieważnić ustawienia pliku konfiguracyjnego, używając -f-, --no-f, -f=no albo czegoś podobnego.

--no-install-recommends
    Nie rozpatruje rekomendowanych pakietów jako zależności do instalacji. Pozycja w pliku konfiguracyjnym: APT::Install-Recommends.

--install-suggests
    Nie bierze pod uwagę sugerowanych pakietów jako zależności do instalacji. Pozycja w pliku konfiguracyjnym: APT::Install-Suggests.

-d, --download-only
    Tylko pobieranie; pliki z pakietami są tylko ściągane, ale nie rozpakowywane czy instalowane. Pozycja w pliku konfiguracyjnym: APT::Get::Download-Only.

-f, --fix-broken
    Popraw; podejmuje próbę poprawienia zepsutych zależności. Używanie tej opcji z install/remove może spowodować pominięcie któregokolwiek z pakietów podanych w linii poleceń, co pozwoli programowi APT znaleźć właściwe rozwiązanie problemu. Ta opcja jest czasami potrzebna przy pierwszym uruchomieniu APT, który nie pozwala, aby w systemie istniały zepsute zależności. Jest również prawdopodobne, że systemowa struktura zależności może być tak zepsuta, że będzie wymagała ręcznej naprawy (co zazwyczaj oznacza użycie dselect(1) lub dpkg --removew celu usunięcia niektórych naruszonych pakietów). W pewnych sytuacjach użycie tej opcji łącznie z -m może spowodować błąd. Pozycja w pliku konfiguracyjnym: APT::Get::Fix-Broken.

-m, --ignore-missing, --fix-missing
    Ignoruj brakujące pakiety. Pakiety, które nie mogą być pobrane lub nie powiedzie się test spójności pakietu po jego pobraniu (plik z pakietem jest uszkodzony), zostają wstrzymane. W pewnych sytuacjach użycie tej opcji łącznie z -f może spowodować błąd. Pakiet, który jest wybrany do instalacji (w szczególności jest on wymieniony w linii poleceń), ale nie może zostać pobrany, zostanie pominięty. Pozycja w pliku konfiguracyjnym: APT::Get::Fix-Missing.

--no-download
    Wyłącza pobierania pakietów. Najlepiej stosować z --ignore-missing, aby wymusić na APT używanie tylko tych plików .deb, które zostały wcześniej ściągnięte. Pozycja w pliku konfiguracyjnym: APT::Get::Download.

-q, --quiet
    Cichy; wypisuje tylko informacje potrzebne do logowania, opuszczając wskaźniki postępu. Więcej znaków q spowoduje jeszcze bardziej ciche wyjście, maksimum jest 2. Można także ustawić poziom cichości za pomocą -q=#, nadpisując tym samym opcję z pliku konfiguracyjnego. Należy zauważyć, że poziom cichości równy 2 implikuje -y, dlatego -qq nigdy nie powinno być używane bez opcji typu -d, --print-uris lub -s, gdyż APT może zadecydować o zrobieniu czegoś, czego użytkownik się nie spodziewa. Pozycja w pliku konfiguracyjnym: quiet.

-s, --simulate, --just-print, --dry-run, --recon, --no-act
    Brak akcji; wykonuje symulację zdarzeń, które mogłyby się przytrafić, ale nic nie zmienia w systemie. Pozycja w pliku konfiguracyjnym: APT::Get::Simulate.

    Symulowane uruchomienia przeprowadzane przez przez zwykłego użytkownika automatycznie wyłączą blokady (Debug::NoLocking). Jeżeli jest ustawiona opcja APT::Get::Show-User-Simulation-Note (a domyślnie jest ona ustawiona), to zostanie wyświetlona informacja o tym, że to jest tylko symulacja. Symulacje przeprowadzane przez administratora systemu nie powodują wyłączenia blokad ani nie pokazują informacji - administratorzy powinni wiedzieć, co robią, bez dodatkowych ostrzeżeń ze strony apt-get.

    Symulacja uruchomienia, powodująca wypisanie serii linii, z których każda reprezentuje operację programu dpkg: konfigurowanie (Conf), usunięcie (Remv) lub rozpakowanie (Inst). Nawiasy kwadratowe oznaczają zepsute pakiety, przy czym puste nawiasy kwadratowe oznaczają, że przyczyna zepsucia pakietu nie jest znana (rzadkość).

-y, --yes, --assume-yes
    Automatycznie odpowiada "tak" na pytania. Zakładając odpowiedź "tak" na wszelkie pytania, uruchamia się w trybie nieinteraktywnym. Jeśli wystąpi jakaś niepożądana sytuacja, na przykład zmiana wstrzymanego pakietu lub usunięcie pakietu mającego status Essential, apt-get przerwie działanie. Pozycja w pliku konfiguracyjnym: APT::Get::Assume-Yes.

--assume-no
    Automatycznie odpowiada "nie" na wszystkie zapytania. Pozycja w pliku konfiguracyjnym: APT::Get::Assume-No.

-u, --show-upgraded
    Pokazuje uaktualnione pakiety. Wypisuje listę wszystkich pakietów, które będą uaktualnione. Pozycja w pliku konfiguracyjnym: APT::Get::Show-Upgraded.

-V, --verbose-versions
    Wyświetla pełne wersje aktualizowanych pakietów Pozycja w pliku konfiguracyjnym: APT::Get::Show-Versions.

-a, --host-architecture
    Za pomocą tej opcji można określić architekturę pakietów budowanych przez apt-get source --compile i sposób, w jaki są spełniane międzyarchitekturowe zależności czasu budowania. Domyślnie nie jest ustawiona, co oznacza, że architektura budowanych pakietów jest taka sama jak architektura bieżącego komputera (definiowana przez APT::Architecture). Pozycja w pliku konfiguracyjnym: APT::Get::Host-Architecture.

-b, --compile, --build
    Skompiluj pakiety źródłowe po ich ściągnięciu. Pozycja w pliku konfiguracyjnym: APT::Get::Compile.

--ignore-hold
    Ignoruje status hold (wstrzymany) pakietów. Ta opcja powoduje, że apt-get zignoruje status hold pakietów. Może to być użyteczne w połączeniu z dist-upgrade do unieważnienia dużej liczby niepożądanych wstrzymań. Pozycja w pliku konfiguracyjnym: APT::Ignore-Hold.

--no-upgrade
    Nie aktualizuje pakietów. Użyte w połączeniu z install, no-upgrade spowoduje, że pakiety, które są już zainstalowane, nie zostaną zaktualizowane. Pozycja w pliku konfiguracyjnym: APT::Get::Upgrade.

--only-upgrade
    Nie instaluje nowych pakietów. Użyte w połączeniu z install, only-upgrade spowoduje zaktualizowanie pakietów już zainstalowanych i zignorowanie żądań instalowania nowych pakietów. Pozycja w pliku konfiguracyjnym: APT::Get::Only-Upgrade.

--force-yes
    Wymuszenie. Jest to niebezpieczna opcja, która powoduje, że apt-get kontynuuje swoje działanie bez żadnej interakcji z użytkownikiem, nawet jeśli robi coś, co może być szkodliwe. Nie powinna być używana, z wyjątkiem bardzo szczególnych sytuacji. Używanie force-yes może zniszczyć Twój system! Pozycja w pliku konfiguracyjnym: APT::Get::force-yes.

--print-uris
    Nie ściąga pakietów do zainstalowania, tylko wypisuje ich URI. Każdy URI składa się z lokalizacji, nazwy pliku przeznaczenia, rozmiaru oraz oczekiwanej sumy kontrolnej MD5. Należy zauważyć, że nazwa pliku przeznaczenia nie musi być taka sama jak nazwa zdalnego pliku! Działa to także z poleceniami source i update. Używane z poleceniem update, nie wypisuje sum MD5 i rozmiaru, a także w gestii użytkownika leży wtedy rozpakowywanie spakowanych plików. Pozycja w pliku konfiguracyjnym: APT::Get::Print-URIs.

--purge
    Używa polecenia purge (wyczyść), zamiast remove (usuń) dla wszystkiego, co miałoby zostać usunięte. Obok pakietów, które są przeznaczone do wyczyszczenia, wyświetlana jest gwiazdka ("*"). remove --purge jest odpowiednikiem polecenia purge. Pozycja w pliku konfiguracyjnym: APT::Get::Purge.

--reinstall
    Ponownie instaluje pakiety, których najnowsza wersja już jest zainstalowana Pozycja w pliku konfiguracyjnym: APT::Get::ReInstall.

--list-cleanup
    Ta opcja jest domyślnie włączona, można ją wyłączyć używając --no-list-cleanup. Jeżeli jest włączona, apt-get będzie automatycznie zarządzał zawartością /var/lib/apt/lists,tak aby przestarzałe pliki były usuwane. Jedynym powodem dla jej wyłączenia mogłyby być częste zmiany w sources.list. Pozycja w pliku konfiguracyjnym: APT::Get::List-Cleanup.

-t, --target-release, --default-release
    Ta opcja tworzy domyślny pin o priorytecie 990, używając podanego łańcucha znaków oznaczającego wersję dystrybucji. Nadpisuje to ogólne ustawienia z pliku /etc/apt/preferences. Opcja nie zmienia pinu pakietów, które mają własne (szczegółowe) ustawienia w powyższym pliku preferencji. W skrócie - ta opcja pozwala pozwala na prostą kontrolę, z których dystrybucji będą pobierane pakiety. Przykłady: -t '2.1*', -t unstable lub -t sid Pozycja w pliku konfiguracyjnym: APT::Default-Release; zobacz także stronę podręcznika apt_preferences(5).

--trivial-only
    Wykonuje tylko "banalne" (ang. "trivial") operacje. Tę opcję można porównać z --assume-yes, ale tam gdzie --assume-yes odpowiedziałoby "tak" na pytanie, --trivial-only odpowie "nie". Pozycja w pliku konfiguracyjnym: APT::Get::Trivial-Only.

--no-remove
    Jeżeli jakikolwiek pakiet miałby zostać usunięty, apt-get natychmiast kończy działanie. Pozycja w pliku konfiguracyjnym: APT::Get::Remove.

--auto-remove
    Jeżeli polecenie to albo install, albo remove, to ta opcja działa tak, jak uruchomienie polecenia autoremove i usuwa pakiety mające nieużywane już zależności. Pozycja w pliku konfiguracyjnym: APT::Get::AutomaticRemove.

--only-source
    Ma znaczenie tylko dla poleceń source i build-dep. Wskazuje na to, że podane nazwy pakietów źródłowych nie powinny być mapowane w tabeli pakietów binarnych. Oznacza to, że gdy podano tę opcję, to powyższe polecenia zaakceptują tylko nazwy pakietów źródłowych.Nie będą akceptować nazw pakietów binarnych ani wyszukiwać odpowiadających im pakietów źródłowych. Pozycja w pliku konfiguracyjnym: APT::Get::Only-Source.

--diff-only, --dsc-only, --tar-only
    Ściągnij tylko plik diff, dsc albo tar pakietu źródłowego. Pozycje w pliku konfiguracyjnym: APT::Get::Diff-Only, APT::Get::Dsc-Only oraz APT::Get::Tar-Only.

--arch-only
    Przetwarza tylko te pakiety z zależnościami wymaganymi do zbudowania pakietu ze źródeł (build-dependencies), które są zależnie od architektury komputera. Pozycja w pliku konfiguracyjnym: APT::Get::Arch-Only.

--allow-unauthenticated
    Ignorowanie sytuacji, w których nie powiedzie się autentykacja pakietów i nieostrzeganie o tym. Jest to użyteczne dla programów typu pbuilder. Pozycja w pliku konfiguracyjnym: APT::Get::AllowUnauthenticated.

-h, --help
    Wyświetla krótkie informacje o użyciu.

-v, --version
    Wyświetla wersję programu.

-c, --config-file
    Plik konfiguracyjny. Podaje plik konfiguracyjny do użycia. Program najpierw przeczyta swój domyślny plik konfiguracyjny, a następnie plik podany jako argument tej opcji. Jeśli jest potrzeba ustawienia opcji konfiguracji zanim domyślny plik konfiguracyjny zostanie przetworzony, należy podać plik do użycia w zmiennej środowiskowej APT_CONFIG. Informacje o składni pliku można znaleźć w apt.conf(5).

-o, --option
    Ustawia opcję konfiguracji. Pozwala ustawić dowolną opcję konfiguracji. Składnia jest następująca: -o Foo::Bar=bar. -o i --option można podać wielokrotnie - do ustawiania różnych opcji.

PLIKI

/etc/apt/sources.list
    Lokalizacje, z których będą ściągane pakiety. Pozycja w pliku konfiguracyjnym: Dir::Etc::SourceList.

/etc/apt/sources.list.d/
    Części pliku zawierającego lokalizacje, z której są pobierane pakiety. Pozycja w pliku konfiguracyjnym: Dir::Etc::SourceParts.

/etc/apt/apt.conf
    Plik konfiguracyjny APT. Pozycja w pliku konfiguracyjnym: Dir::Etc::Main.

/etc/apt/apt.conf.d/
    Części pliku konfiguracyjnego. Pozycja w pliku konfiguracyjnym: Dir::Etc::Parts.

/etc/apt/preferences
    Plik zawierający preferencje wyboru wersji. Jest to miejsce, w którym określa się tzw. "pinning", tj. preferencje, skąd brać pewne pakiety - z innego źródła, z innej dystrybucji lub o innej wersji. Pozycja w pliku konfiguracyjnym:Dir::Etc::Preferences.

/etc/apt/preferences.d/
    Części pliku preferencji wyboru wersji. Pozycja w pliku konfiguracyjnym: Dir::Etc::PreferencesParts.

/var/cache/apt/archives/
    Składnica pobranych plików pakietów. Pozycja w pliku konfiguracyjnym: Dir::Cache::Archives.

/var/cache/apt/archives/partial/
    Składnica obecnie pobieranych plików pakietów. Pozycja w pliki konfiguracyjnym: Dir::Cache::Archives (partial zostanie dodane automatycznie)

/var/lib/apt/lists/
    Składnica zawierająca informacje o każdym zasobie pakietów podanym w sources.list(5) Pozycja w pliku konfiguracyjnym: Dir::State::Lists.

/var/lib/apt/lists/partial/
    Składnica obecnie pobieranych informacji o stanie pakietów. Pozycja w pliku konfiguracyjnym: Dir::State::Lists (partial zostanie dodane automatycznie)

ZOBACZ TAKŻE

apt-cache(8), apt-cdrom(8), dpkg(1), dselect(1), sources.list(5), apt.conf(5), apt-config(8), apt-secure(8), Przewodnik APT dla użytkowników w /usr/share/doc/apt-doc/, apt_preferences(5), APT Howto.

DIAGNOSTYKA

apt-get zwraca zero, gdy zakończyło się pomyślnie, 100 - w przypadku błędu.

BUGS

Strona błędów APT[3]. Aby zgłosić błąd w APT, proszę przeczytać /usr/share/doc/debian/bug-reporting.txt lub opis polecenia reportbug(1).

TŁUMACZENIE

Tłumaczenie stron podręcznika: Robert Luberda <robert@debian.org>, 2000-2012. Tłumaczenie przewodnika offline: Krzysztof Fiertek <akfedux@megapolis.pl>, 2004

Proszę zauważyć, że przetłumaczony dokument może zawierać fragmenty nieprzetłumaczone. Ma to na celu uniknięcie utracenia istotnych informacji, w przypadkach gdy oryginał zostanie zaktualizowany, a tłumaczenie - nie.

AUTORZY

Jason Gunthorpe

zespół APT

PRZYPISY

1.  packages.debian.org/changelogs
    http://packages.debian.org/changelogs

2.  changelogs.ubuntu.com/changelogs
    http://changelogs.ubuntu.com/changelogs

3.  Strona błędów APT
    http://bugs.debian.org/src:apt